Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I recently started to have my system update manager coming back with nothing errors downloading repository information. When I run into this problem before, it was always a broken repository. Although, the one that seems broken for me now seems to be the security.ubuntu and/or archive.ubuntu and/or any other one one. This forces the update manager to continue to inform me that: "The package information was updated 17 days ago". I have tried multiple things suggested in many of the other similar questions, although they all seem to point to a bad repository.

Using sudo apt-get update gives the same errors, although the number of repositories that come back with a problem are inconsistent.

I even tried unchecking all other software in the software manager, but still get this error. I also tried multiple different repositories servers, both the main ones, and using the recommended "best" one as well. I'm not too sure what is causing this problem and any help would work. Here are some of my outputs:

sudo apt-get update
Hit http://repo.steampowered.com precise Release.gpg
Hit http://repo.steampowered.com precise Release                                            
Hit http://repo.steampowered.com precise/steam amd64 Packages                               
Hit http://repo.steampowered.com precise/steam i386 Packages                                
Ign http://repo.steampowered.com precise/steam TranslationIndex                             
Ign http://repo.steampowered.com precise/steam Translation-en_CA                            
Ign http://repo.steampowered.com precise/steam Translation-en                               
Hit http://extras.ubuntu.com precise Release.gpg                                            
Hit http://extras.ubuntu.com precise Release                                                
Hit http://extras.ubuntu.com precise/main amd64 Packages                                    
Hit http://extras.ubuntu.com precise/main i386 Packages                                     
Ign http://extras.ubuntu.com precise/main TranslationIndex                                  
Ign http://extras.ubuntu.com precise/main Translation-en_CA                                 
Ign http://extras.ubuntu.com precise/main Translation-en                                    
Hit http://archive.canonical.com precise Release.gpg                                        
Hit http://archive.canonical.com precise Release                                            
Hit http://archive.canonical.com precise/partner amd64 Packages                             
Hit http://archive.canonical.com precise/partner i386 Packages               
Ign http://archive.canonical.com precise/partner TranslationIndex            
Ign http://archive.canonical.com precise/partner Translation-en_CA                          
Ign http://archive.canonical.com precise/partner Translation-en                             
Get:1 http://security.ubuntu.com precise-security Release.gpg [198 B]        
Hit http://security.ubuntu.com precise-security Release                      
Hit http://security.ubuntu.com precise-security/main amd64 Packages
Hit http://security.ubuntu.com precise-security/universe amd64 Packages
Hit http://security.ubuntu.com precise-security/multiverse amd64 Packages
Hit http://security.ubuntu.com precise-security/restricted amd64 Packages
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/multiverse i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/multiverse Translation-en
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Err http://ca.archive.ubuntu.com precise Release.gpg                                        
  Something wicked happened resolving 'ca.archive.ubuntu.com:http' (-5 - No address associated with hostname)
Hit http://ca.archive.ubuntu.com precise-updates Release.gpg                                
Hit http://ca.archive.ubuntu.com precise Release                                            
Hit http://ca.archive.ubuntu.com precise-updates Release                                    
Ign http://ca.archive.ubuntu.com precise/main amd64 Packages/DiffIndex                      
Ign http://ca.archive.ubuntu.com precise/universe amd64 Packages/DiffIndex                  
Ign http://ca.archive.ubuntu.com precise/multiverse amd64 Packages/DiffIndex                
Ign http://ca.archive.ubuntu.com precise/restricted amd64 Packages/DiffIndex                
Ign http://ca.archive.ubuntu.com precise/main i386 Packages/DiffIndex                       
Ign http://ca.archive.ubuntu.com precise/universe i386 Packages/DiffIndex                   
Ign http://ca.archive.ubuntu.com precise/multiverse i386 Packages/DiffIndex                 
Ign http://ca.archive.ubuntu.com precise/restricted i386 Packages/DiffIndex                 
Hit http://ca.archive.ubuntu.com precise/main TranslationIndex                              
Hit http://ca.archive.ubuntu.com precise/multiverse TranslationIndex                        
Hit http://ca.archive.ubuntu.com precise/restricted TranslationIndex                        
Hit http://ca.archive.ubuntu.com precise/universe TranslationIndex                          
Hit http://ca.archive.ubuntu.com precise-updates/main amd64 Packages                        
Hit http://ca.archive.ubuntu.com precise-updates/universe amd64 Packages                    
Hit http://ca.archive.ubuntu.com precise-updates/multiverse amd64 Packages                  
Hit http://ca.archive.ubuntu.com precise-updates/restricted amd64 Packages                  
Hit http://ca.archive.ubuntu.com precise-updates/main i386 Packages                         
Hit http://ca.archive.ubuntu.com precise-updates/universe i386 Packages                     
Hit http://ca.archive.ubuntu.com precise-updates/multiverse i386 Packages                   
Hit http://ca.archive.ubuntu.com precise-updates/restricted i386 Packages                   
Hit http://ca.archive.ubuntu.com precise-updates/main TranslationIndex                      
Hit http://ca.archive.ubuntu.com precise-updates/multiverse TranslationIndex                
Hit http://ca.archive.ubuntu.com precise-updates/restricted TranslationIndex                
Hit http://ca.archive.ubuntu.com precise-updates/universe TranslationIndex                  
Hit http://ca.archive.ubuntu.com precise/main amd64 Packages                                
Hit http://ca.archive.ubuntu.com precise/universe amd64 Packages                            
Hit http://ca.archive.ubuntu.com precise/multiverse amd64 Packages                          
Hit http://ca.archive.ubuntu.com precise/restricted amd64 Packages                          
Hit http://ca.archive.ubuntu.com precise/main i386 Packages                                 
Hit http://ca.archive.ubuntu.com precise/universe i386 Packages                             
Hit http://ca.archive.ubuntu.com precise/multiverse i386 Packages                           
Hit http://ca.archive.ubuntu.com precise/restricted i386 Packages                           
Hit http://ca.archive.ubuntu.com precise/main Translation-en_CA                             
Hit http://ca.archive.ubuntu.com precise/main Translation-en                                
Hit http://ca.archive.ubuntu.com precise/multiverse Translation-en                          
Hit http://ca.archive.ubuntu.com precise/restricted Translation-en                          
Hit http://ca.archive.ubuntu.com precise/universe Translation-en_CA                         
Hit http://ca.archive.ubuntu.com precise/universe Translation-en                            
Hit http://ca.archive.ubuntu.com precise-updates/main Translation-en_CA                     
Hit http://ca.archive.ubuntu.com precise-updates/main Translation-en                        
Hit http://ca.archive.ubuntu.com precise-updates/multiverse Translation-en                  
Hit http://ca.archive.ubuntu.com precise-updates/restricted Translation-en                  
Hit http://ca.archive.ubuntu.com precise-updates/universe Translation-en_CA                 
Hit http://ca.archive.ubuntu.com precise-updates/universe Translation-en                    
Fetched 198 B in 20s (9 B/s)                                                                
W: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/dists/precise/Release.gpg  Something wicked happened resolving 'ca.archive.ubuntu.com:http' (-5 - No address associated with hostname)

E: Some index files failed to download. They have been ignored, or old ones used instead.

If I run, the same command again, I can get a different bad repository like:

sudo apt-get update
Get:1 http://ca.archive.ubuntu.com precise Release.gpg [198 B]
Get:2 http://ca.archive.ubuntu.com precise-updates Release.gpg [198 B]                      
Hit http://ca.archive.ubuntu.com precise Release                                            
Get:3 http://ca.archive.ubuntu.com precise-updates Release [49.6 kB]                        
Hit http://ca.archive.ubuntu.com precise/main amd64 Packages                                
Hit http://ca.archive.ubuntu.com precise/universe amd64 Packages                            
Hit http://ca.archive.ubuntu.com precise/multiverse amd64 Packages                          
Hit http://ca.archive.ubuntu.com precise/restricted amd64 Packages                          
Hit http://ca.archive.ubuntu.com precise/main i386 Packages                                 
Hit http://ca.archive.ubuntu.com precise/universe i386 Packages                             
Hit http://ca.archive.ubuntu.com precise/multiverse i386 Packages                           
Hit http://ca.archive.ubuntu.com precise/restricted i386 Packages                           
Hit http://ca.archive.ubuntu.com precise/main TranslationIndex                              
Hit http://ca.archive.ubuntu.com precise/multiverse TranslationIndex                        
Hit http://ca.archive.ubuntu.com precise/restricted TranslationIndex                        
Hit http://ca.archive.ubuntu.com precise/universe TranslationIndex                          
Get:4 http://ca.archive.ubuntu.com precise-updates/main amd64 Packages [663 kB]             
Get:5 http://ca.archive.ubuntu.com precise-updates/universe amd64 Packages [210 kB]         
Get:6 http://ca.archive.ubuntu.com precise-updates/multiverse amd64 Packages [13.6 kB]      
Get:7 http://ca.archive.ubuntu.com precise-updates/restricted amd64 Packages [10.1 kB]      
Get:8 http://ca.archive.ubuntu.com precise-updates/main i386 Packages [683 kB]              
Get:9 http://ca.archive.ubuntu.com precise-updates/universe i386 Packages [214 kB]          
Get:10 http://ca.archive.ubuntu.com precise-updates/multiverse i386 Packages [13.8 kB]      
Get:11 http://ca.archive.ubuntu.com precise-updates/restricted i386 Packages [10.0 kB]      
Hit http://ca.archive.ubuntu.com precise-updates/main TranslationIndex                      
Hit http://ca.archive.ubuntu.com precise-updates/multiverse TranslationIndex                
Hit http://ca.archive.ubuntu.com precise-updates/restricted TranslationIndex                
Hit http://ca.archive.ubuntu.com precise-updates/universe TranslationIndex                  
Hit http://ca.archive.ubuntu.com precise/main Translation-en_CA                             
Hit http://ca.archive.ubuntu.com precise/main Translation-en                                
Hit http://ca.archive.ubuntu.com precise/multiverse Translation-en                          
Hit http://ca.archive.ubuntu.com precise/restricted Translation-en                          
Hit http://ca.archive.ubuntu.com precise/universe Translation-en_CA                         
Hit http://ca.archive.ubuntu.com precise/universe Translation-en                            
Hit http://ca.archive.ubuntu.com precise-updates/main Translation-en_CA                     
Hit http://ca.archive.ubuntu.com precise-updates/main Translation-en                        
Hit http://ca.archive.ubuntu.com precise-updates/multiverse Translation-en                  
Hit http://ca.archive.ubuntu.com precise-updates/restricted Translation-en                  
Hit http://ca.archive.ubuntu.com precise-updates/universe Translation-en_CA                 
Hit http://ca.archive.ubuntu.com precise-updates/universe Translation-en                    
Hit http://archive.canonical.com precise Release.gpg                                        
Hit http://archive.canonical.com precise Release                                            
Hit http://archive.canonical.com precise/partner amd64 Packages                             
Hit http://archive.canonical.com precise/partner i386 Packages                              
Ign http://archive.canonical.com precise/partner TranslationIndex                           
Ign http://archive.canonical.com precise/partner Translation-en_CA                          
Ign http://archive.canonical.com precise/partner Translation-en                             
Hit http://extras.ubuntu.com precise Release.gpg                                            
Hit http://extras.ubuntu.com precise Release                                                
Hit http://extras.ubuntu.com precise/main amd64 Packages                                    
Hit http://extras.ubuntu.com precise/main i386 Packages                                     
Ign http://extras.ubuntu.com precise/main TranslationIndex                                  
Ign http://extras.ubuntu.com precise/main Translation-en_CA                                 
Ign http://extras.ubuntu.com precise/main Translation-en                                    
Get:12 http://security.ubuntu.com precise-security Release.gpg [198 B]                      
Get:13 http://security.ubuntu.com precise-security Release [49.6 kB]          
Get:14 http://security.ubuntu.com precise-security/main amd64 Packages [296 kB]
Get:15 http://security.ubuntu.com precise-security/universe amd64 Packages [79.8 kB]
Get:16 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2,186 B]      
Get:17 http://security.ubuntu.com precise-security/restricted amd64 Packages [4,627 B]      
Get:18 http://security.ubuntu.com precise-security/main i386 Packages [311 kB]              
Get:19 http://security.ubuntu.com precise-security/universe i386 Packages [82.5 kB]         
Get:20 http://security.ubuntu.com precise-security/multiverse i386 Packages [2,371 B]       
Get:21 http://security.ubuntu.com precise-security/restricted i386 Packages [4,620 B]       
Hit http://security.ubuntu.com precise-security/main TranslationIndex                       
Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex             
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex             
Hit http://security.ubuntu.com precise-security/universe TranslationIndex               
Hit http://security.ubuntu.com precise-security/main Translation-en                     
Hit http://security.ubuntu.com precise-security/multiverse Translation-en               
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Err http://repo.steampowered.com precise Release.gpg                                        
  Something wicked happened resolving 'repo.steampowered.com:http' (-5 - No address associated with hostname)
Hit http://repo.steampowered.com precise Release                                            
Ign http://repo.steampowered.com precise/steam amd64 Packages/DiffIndex                     
Ign http://repo.steampowered.com precise/steam i386 Packages/DiffIndex                      
Ign http://repo.steampowered.com precise/steam TranslationIndex                             
Hit http://repo.steampowered.com precise/steam amd64 Packages                               
Hit http://repo.steampowered.com precise/steam i386 Packages                                
Ign http://repo.steampowered.com precise/steam Translation-en_CA                            
Ign http://repo.steampowered.com precise/steam Translation-en                               
Fetched 2,701 kB in 21s (124 kB/s)                                                          
W: Failed to fetch http://repo.steampowered.com/steam/dists/precise/Release.gpg  Something wicked happened resolving 'repo.steampowered.com:http' (-5 - No address associated with hostname)

E: Some index files failed to download. They have been ignored, or old ones used instead.

Are there any suggestions as to what I need to start looking at for the problem?

share|improve this question
    
The root issue is DNS. Check for useful response (or error codes) when you run: dig ca.archive.ubuntu.com –  david6 Jul 31 '13 at 22:16

2 Answers 2

I figured it out!

  1. download the file from the link here: "http://packages.ubuntu.com/precise/amd64/apt-transport-https/download"

  2. click on the link labeled "security.ubuntu.com/ubuntu" on the webpage (that should download a file)

  3. Then, install that file with the "GDebi Package installer.

share|improve this answer

From the looks of this you have a bad repo.

I followed it to this site: http://repo.steampowered.com/steam/dists/precise/ which contains a steam folder that has a 64bit release and a 32 bit release.

To fix this problem you can remove the repo from your source list or see if the releases inside this folder works.

located at: /etc/apt/sources.list Be careful though. This can damage your system. You will have to edit this in root with gedit/kate/vi.

I added a steampunk theme not to long ago, but they did not have a 64bit package and I had these errors because of it. So, i deleted the single like. that contained the repo that was bad.

share|improve this answer
2  
I don't actually think it is the steam repo that is broken. I was still getting these errors when I unchecked ever non-Ubuntu repository. In the first output I pasted, the steampowered repo worked fine so I'm not necessarily convinced that particular one is the problem. –  user178796 Jul 27 '13 at 18:26
    
No problem, try commenting it out and doing a sudo apt-get update to see if it helps. That's what I would do. Comment each thing out until I found the cause. Then you can correct the problem. :D –  David a squirrel in the rough Jul 29 '13 at 13:00
    
I had actually tried that. I was down to having nothing checked in any tab except for the Ubuntu security ones. The first thing I did was remove any repos that I wasn't using (and even some that I was). This didn't help, so I continued to uncheck ones until I was down to only the Ubuntu ones. When I get a chance tonight I can update the original post with apt-get update outputs when there is only Ubuntu repos used. On another note, I also doubt it is my internet connection, I have 2 other Ubuntu PC's in my house and none of them experience any issues. –  user178796 Jul 29 '13 at 18:19
    
Well after the most recent kernel update, I haven't seen this problem come up anymore. I even have all the non-ubuntu repositories added back in without any problems. I'm not to sure if anything I did actually did this, but you never know. Thanks for the help though. –  user178796 Jul 30 '13 at 17:59

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.